Bug 135036 - thunderbird xremote broke
thunderbird xremote broke
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-08 03:26 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 07:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-10-08 03:26:49 EDT
Description of problem:
thunderbird xremote seems no longer able to detect an already running
thunderbird.  When you click on mailto: links while thunderbird is
already running, or click thunderbird again to launch, the "Choose
User Profile" dialog pops up.

#MOZ_CLIENT_PROGRAM="$MRE_HOME/mozilla-xremote-client -a thunderbird"
#MOZ_CLIENT_PROGRAM="$MRE_HOME/thunderbird -remote"
Same results testing both of these lines in /usr/bin/thunderbird.

Adding set -x to /usr/bin/thunderbird reveals this:

[warren@ibmlaptop ~]$ thunderbird
+ MOZILLA_FIVE_HOME=/usr/lib/thunderbird-0.8.0
+ MRE_HOME=/usr/lib/thunderbird-0.8.0
+ export MOZILLA_FIVE_HOME MRE_HOME
+ MOZ_PROGRAM=/usr/lib/thunderbird-0.8.0/thunderbird
+
MOZ_CLIENT_PROGRAM='/usr/lib/thunderbird-0.8.0/mozilla-xremote-client
-a thunderbird'
+ MOZARGS=
++ check_running
++ /usr/lib/thunderbird-0.8.0/mozilla-xremote-client -a thunderbird
'ping()'
++ RETURN_VAL=2
++ '[' 2 -eq 2 ']'
++ echo 0
++ return 0
+ ALREADY_RUNNING=0
+ '[' -z '' ']'
+ '[' 0 -eq 1 ']'
+ rm_shit
+ find /home/warren/.thunderbird -name XUL.mfasl
+ xargs rm -f

Version-Release number of selected component (if applicable):
thunderbird-0.8.0-3
Comment 1 Christopher Aillon 2004-10-08 05:34:46 EDT
Need patches for https://bugzilla.mozilla.org/show_bug.cgi?id=261315
and  https://bugzilla.mozilla.org/show_bug.cgi?id=261961

Added to my tree.  Need to solve compiling on gcc3.4.2 issue first.
Comment 2 Warren Togami 2004-10-12 07:20:21 EDT
Seems good now.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.